//******************************************************************************
// Call of Duty 2 - eXtreme+ modification
//******************************************************************************
// author   : Astoroth and the eXtreme+ Support Crew
// email    : astoroth@gom.me.uk
// website  : http://www.mycallofduty.com
//
// mod      : eXtreme+
// version  : 2.3
// update   : November 2007
//******************************************************************************


//******************************************************************************
// Forced clientside dvars
//******************************************************************************
// This feature allows you to control the clientside dvars, every 2 seconds the mod
// will check to see if any setting has been changed by the client

// forced clientside dvars?
// 0 = disable, 1 = enable, default = 0
set ex_forceclientdvars "1"

// force rate
// 0 = disable, max = 99999, default = 25000
//set ex_forcerate "25000"

// mantle hint
// 0 = disable, 1 = enable, default = 1
set ex_mantlehint "0"

// player crosshair
// 0 = disable, 1 = enable, default = 1
//set ex_crosshair "1"

// player crosshairnames (show when players are on your side and targeted)
set ex_crosshairnames "1"

// enemy crosshair, prevent crosshair colour change when targeting enemy player
// 0 = disable, 1 = enable, default = 1
set ex_enemycross "0"

// hud stance indicator
// 0 = disable, 1 = enable, default = 1
set ex_hudstance "1"

// bright models - hack provention (set to 0 to prevent!)
// 0 = disable, 1 = enable, default = 1
set ex_brightmodels "0"

// hack provention!
// lodscale (LodScale Bush Exploit) is forced to "1" in mod
// q3fs (Ambient Sound Exploit) is forced to "1" in mod


//******************************************************************************
// Realism options
//******************************************************************************
// drop weapon on hand or gun hit
// percentage setting 0 - 100, default = 0
set ex_droponhandhit "25"

// drop weapon on arm hit
// percentage setting 0 - 100, default = 0
set ex_droponarmhit "25"

// trip on leg hit (this setting does not currently work with COD2)
// percentage setting 0 - 100, default = 0
//set ex_triponleghit "25"

// Trip on foot hit (this setting does not currently work with COD2)
// percentage setting 0 - 100, default = 0
//set ex_triponfoothit "25"

// player bob factor. no more gliding when you walk/sprint
// 0 = disable, 1 = enable, default = 0
//set ex_player_bobfactor "1"

// deathsounds, played when players die, doh!
// 0 = disable, 1 = enable, default = 0
set ex_deathsound "1"

// painsounds, played when players get hurt!
// 0 = disable, 1 = enable, default = 0
set ex_painsound "1"

// prone/Jump shoot delay monitor
// when the player goes prone or jumps in the air, their weapon is disabled for a moment
// before they can shoot again, stops the dive bombers and bunny hoppers on your server!
// 0 = disable (default)
// 1 = monitor prone only
// 2 = monitor jump only
// 3 = monitor prone and jump
set ex_stanceshoot "2"

// Jump shoot delay sensitivity
// Adjust the sensitivity of the shoot stance weapon delay, so that it will only
// pause your weapon if you jump or go to prone, and not when you go over a small
// rock or bump on the map.
// min = 0, max = 10, default = 5
set ex_jump_sensitivity "7"


//******************************************************************************
// Forced autoassign
//******************************************************************************
// On some maps or in certain gametypes you may wish to force players to auto-assign
// instead of choosing a team. As with all the functions in extreme+ you can do this as a
// global option, or add a map or gametype or both to the end of the dvar to enable.

// 0 = disable (default)
// 1 = enable - all players
// 2 = enable - non-clan players only
//set ex_forceauto "0"


//******************************************************************************
// Sprinting
//******************************************************************************
// enable sprinting, enabled by moving and pressing the USE key, if you don't like having
// the use key set for sprinting, you can mimmick the old CODUO ALT key for sprinting by
// setting you ALT key as an alternative key for USE, it does work!
// 0 = disabled (default)
// 1 = while standing only
// 2 = standing and crouching
// 3 = standing, crouching and while prone
set ex_sprint "1"

// disable sprinting while carrying panzerschreck
// 0 = enable sprint, 1 = disable sprint, default = 1
//set ex_sprint_heavy_panzer "1"

// disable sprinting while carrying MG42's and 30 cals
// 0 = enable sprint, 1 = disable sprint, default = 1
//set ex_sprint_heavy_mg "1"

// no sprinting if a flag is carried, is for all flagbased games
// 0 = enable sprint, 1 = disable sprint, default = 0
set ex_sprint_heavy_flag "1"

// enable sprint hud, graphical representation of how much sprinting you have left
// 0 = disable, 1 = enable, default = 1
set ex_sprint_hud "0"

// enable hud hint, when moving this shows the player that sprinting is available
// 0 = disable, 1 = enable, default = 0
//set ex_sprint_hud_hint "0"

// max sprint time in seconds
// min = 1, max = 999, default = 3
set ex_sprint_time "10"

// max recover time in seconds, total recover time for a full recover will be this time + the
// maximum sprint time!
// min = 0, max = 999, default = 2
set ex_sprint_recover_time "5"


//******************************************************************************
// Antirun
//******************************************************************************
// For Sniper Servers or Tactical Servers this will allow for short bursts
// of running or sprinting.
// 1st offense -- shellshock
// 2nd offense -- lose half of health
// 3rd offense -- warped into the air and read the server rules
// 4th offense -- kicked from server (this is a TempBan)
//
// 0 = disabled (default)
// 1 = enabled
//set ex_antirun "1"

// Distance
// min = 100, max = 9999, default = 500
// Distance is in COD2 units, not feet or yards
//set ex_antirun_distance "500"


//******************************************************************************
// Helmet Pop
//******************************************************************************
// pop helmets, players helmet goes flying when damaged in the head area!
// percentage setting 0 - 100, default = 0
set ex_pophelmet "50"


//******************************************************************************
// Taunts
//******************************************************************************
// In addition to the ingame quicktaunt menu system, you can also set the mod to make the
// attacker say a random taunt when they kill a player!
// 0 = disable menu and auto taunt
// 1 = enable menu taunts only
// 2 = enable auto taunts only
// 3 = enable menu and auto taunts
set ex_taunts "3"


//******************************************************************************
// Player model limiter (this does help somewhat with gamestate reduction)
//******************************************************************************
// COD2 offers different models for players, however each skin takes up valuable gamestate,
// so here you can limit the models available. You really only need one of each though!

// american normandy player models
// min = 1, max = 10, default = 10
set ex_american_normandy "1"

// british africa player models
// min = 1, max = 5, default = 5
set ex_british_africa "1"

// british normandy player models
// min = 1, max = 6, default = 6
set ex_british_normandy "1"

// german winterdark player models
// min = 1, max = 2, default = 2
set ex_german_winterdark "1"

// russian coat player models
// min = 1, max = 4, default = 4
set ex_russian_coat "1"

// russian padded player models
// min = 1, max = 2, default = 2
set ex_russian_padded "1"


//******************************************************************************
// Cold Breath FX
//******************************************************************************
// on winter based maps, enabling this will show an effect of breathing in the cold
// 0 = disable, 1 = enable, default = 0
set ex_coldbreathfx "1"


//******************************************************************************
// Bulletholes
//******************************************************************************
// if a player gets hit by a bullet in the head!, you can have a bullethole appear on their hud
// 0 = disable (default)
// 1 = enabled
// 2 = enabled with fade after 5 seconds
set ex_bulletholes "2"


//******************************************************************************
// Bloodscreen
//******************************************************************************
// if a player is hit, blood appears on the screen, and on the attackers screen if close enough
// 0 = disable (default)
// 1 = enabled
set ex_bloodonscreen "1"


//******************************************************************************
// Laserdot
//******************************************************************************
// laserdot transparency
// 0 = disable (default)
// 1 = enabled; always on
// 2 = enabled; only when aiming down scope
// 3 = enabled; only when NOT aiming down scope
//set ex_laserdot "0"

// laser dot size min = 1 max = 5
// min = 1, max = 10, default = 2
//set ex_laserdot_size "2"

// color (default 1,0,0)
//set ex_laserdot_red "1"
//set ex_laserdot_green "1"
//set ex_laserdot_blue "0"

// Certain players may not like the laserdot. You can define exclusions based
// on clan tags and screennames.
// Clan exclusions are limited to a maximum of four clans (see clancontrol.cfg).
// You can add as many individual players as you like. Just increase the last
// digit for each one. It doesn't matter if you enter the names with colours,
// non alphabet characters, uppercase or lowercase. The mod will understand as
// long as you have the letters in the name correct.

// Exclusion by clan tag (max 4)
//set ex_laserdot_clan_0 "clantag"
//set ex_laserdot_clan_1 "clantag"
//set ex_laserdot_clan_2 "clantag"
//set ex_laserdot_clan_3 "clantag"

// Exclusion by name
//set ex_laserdot_name_0 "playername"
//set ex_laserdot_name_1 "playername"
//set ex_laserdot_name_2 "playername"
//set ex_laserdot_name_3 "playername"


//******************************************************************************
// Dead body handling
//******************************************************************************
// you can control the after death fx here.
// 0 = disabled (default)
// 1 = sink player in to ground
set ex_deadbodyfx "1"


//******************************************************************************
// Parachute players
//******************************************************************************
// 0 = disabled (default)
// 1 = once for each map
// 2 = roundbased: never parachute in after matchstarts
// 3 = always
set ex_parachutes "1"
set ex_parachutes_hq "0"

// Only attackers parachute (0 = no, 1 = yes) (default 0)
//set ex_parachutes_only_attackers "0"

// Protect parachuters from damage?
// 0 = disabled
// 1 = protected while dropping down and weapons disabled
// 2 = weapons enabled and protected while dropping down until fire or bash button is pressed (default)
//set ex_parachutes_protection "2"

// Limit altitude (0 = no limit max = 6000) (default 2000)
// Some maps have a really high sky and not using a limit could mean
// parachuting for 30 seconds or more before landing.
set ex_parachutes_limit_altitude "1000"


//******************************************************************************
// Weapons on back
//******************************************************************************
// Players carrying unused weapon on back
// Only enabled when secondary weapon system is enabled.
// 0 = disable
// 1 = enable (default)
set ex_weaponsonback "1"
set ex_weaponsonback_mp_salerno_beachhead "0"
set ex_weaponsonback_mp_st-gatien "0"
set ex_weaponsonback_mp_djerba "0"
set ex_weaponsonback_mp_pierkov_beta "0"
set ex_weaponsonback_mp_riverside_v1 "0"
set ex_weaponsonback_mp_thecrossing "0"
set ex_weaponsonback_mp_goldbeach "0"

//******************************************************************************
// Drop inactive players
//******************************************************************************
// Kick player playing if timed out (if enabled afk is set to on for this setting)
//0 = disable 1 = enable (default 0)
//set ex_inactive_plyr "0"

// Kick player not playing if timed out (eg. spectating, dead, in menu not playing)
//0 = disable 1 = enable (default 0)
//set ex_inactive_spec "0"

// 0 = disabled; player gets kicked at set time
// 1 = enabled (default); resets time if player movement detected
//0 = disable 1 = enable (default 0)
//set ex_afk "0"

// Time in minutes before player gets kicked
//minutes until player kicked (default 15)
set ex_inactive_time "3"

// Don't kick this player
// You may wish certain players not to be kick, eg admin, rcon or an entire clan.
// Clan exclusions are limited to a maximum of four clans (see clancontrol.cfg).
// You can add as many individual players as you like. Just increase the last
// digit for each one. It doesn't matter if you enter the names with colours,
// non alphabet characters, uppercase or lowercase. The mod will understand as
// long as you have the letters in the name correct.

//set ex_ddp_clan_0	"{PST}"
//set ex_ddp_name_0	"{PST}*Joker"
